# Generated from fluent-plugin-kubernetes-metrics-hbrewster-1.2.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-plugin-kubernetes-metrics-hbrewster

Name: rubygem-%{gem_name}
Version: 1.2.7
Release: 1%{?dist}
Summary: A fluentd input plugin that collects kubernetes cluster metrics
License: Apache-2.0
URL: https://github.com/splunk/fluent-plugin-kubernetes-metrics
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(simplecov) >= 0.16.1
# BuildRequires: rubygem(simplecov) < 0.17
# BuildRequires: rubygem(test-unit) >= 3.3.0
# BuildRequires: rubygem(test-unit) < 3.4
# BuildRequires: rubygem(webmock) >= 3.5.1
# BuildRequires: rubygem(webmock) < 3.6
BuildArch: noarch

%description
A fluentd input plugin that collects node and container metrics from a
kubernetes cluster.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/VERSION
%{gem_libdir}
%{gem_instdir}/metrics-information.md
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fluent-plugin-kubernetes-metrics.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.2.7-1
- Initial package
